| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | List of all members
Tp::PendingVoid Class Reference
Utililty classes

The PendingVoid class is a generic subclass of PendingOperation representing a pending D-Bus method call that does not return anything (or returns a result that is not interesting). More...

`#include <TelepathyQt/PendingVoid>`

Inherits Tp::PendingOperation.

## Public Member Functions

| PendingVoid (QDBusPendingCall call, const SharedPtr< RefCounted > &object)
Public Member Functions inherited from Tp::PendingOperation
virtual | ~PendingOperation ()
bool | isFinished () const
bool | isValid () const
bool | isError () const
QString | errorName () const
QString | errorMessage () const

## Additional Inherited Members

Signals inherited from Tp::PendingOperation
void | finished (Tp::PendingOperation *operation)
Protected Slots inherited from Tp::PendingOperation
void | setFinished ()
void | setFinishedWithError (const QString &name, const QString &message)
void | setFinishedWithError (const QDBusError &error)
Protected Member Functions inherited from Tp::PendingOperation
| PendingOperation (const SharedPtr< RefCounted > &object)
SharedPtr< RefCounted > | object () const

## Detailed Description

The PendingVoid class is a generic subclass of PendingOperation representing a pending D-Bus method call that does not return anything (or returns a result that is not interesting).

## Constructor & Destructor Documentation

Tp::PendingVoid::PendingVoid | ( | QDBusPendingCall | call,
|  | const SharedPtr< RefCounted > & | object
| ) |  |

Construct a new PendingVoid object.

Parameters

  object | The object on which this pending operation takes place.
  call | A pending call as returned by the auto-generated low level Telepathy API; if the method returns anything, the return value(s) will be ignored.